Skip to content

Update dimension

Request

Security
OAuth2Sandbox
Path
idstringrequired
Bodyapplication/jsonrequired
dimension_type_idinteger

ID of the dimension type this dimension belongs to.

Example:1
codestring, <= 16 characters

User-defined code for the dimension.

Example:"CC-001"
nameobject

Localized name of the dimension.

descriptionobject

Localized description of the dimension.

activeboolean

Indicates whether the dimension is in use.

Example:true
valid_fromstring or null, (date)
Example:"2024-01-01"
valid_tostring or null, (date)
Example:"2024-12-31"
curl -i -X PATCH \
  'https://api.<slug>.isv-test.fennoa.com/v2/dimensions/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "dimension_type_id": 1,
    "code": "CC-001",
    "name": {
      "fi": "Kustannuspaikka 1",
      "en": "Cost center 1",
      "sv": "Kostnadsställe 1"
    },
    "description": {
      "fi": "Esimerkkikustannuspaikka"
    },
    "active": true,
    "valid_from": "2024-01-01",
    "valid_to": "2024-12-31"
  }'

Responses

A dimension.

Bodyapplication/json
dataobject(Dimension)
Response
{ "data": { "id": 10, "dimension_type_id": 1, "code": "CC-001", "name": { … }, "description": { … }, "active": true, "valid_from": "2024-01-01", "valid_to": "2024-12-31" } }